import sim.Simulatore;
import dao.ReservationDAO;


public class Main {

	public static void main(String[] args) {
		ReservationDAO dao = new ReservationDAO();
		Simulatore sim = new Simulatore(dao.GetAllReservations());
		
		sim.setAvailability(1, 4);
		sim.setAvailability(2, 4);
		sim.setAvailability(3, 8);
		sim.setAvailability(4, 10);
		
		while(sim.moreEvents()) {
			sim.step();
		}
		
		sim.print();
	}

}
