////////////////////////////////////////////////////////////////////////////////
//             //                                                             //
//   #####     // Rent-a-Car Simulator                                        //
//  ######     // (!) 2013 Giovanni Squillero <giovanni.squillero@polito.it>  //
//  ###   \    //                                                             //
//   ##G  c\   //                                                             //
//   #     _\  //                                                             //
//   |   _/    //                                                             //
//   |  _/     //                                                             //
//             // 03FYZ - Tecniche di programmazione 2012-13                  //
////////////////////////////////////////////////////////////////////////////////

package dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.Map;

import bean.*;
import db.DBConnect;

public class ReservationDAO {
	public Map<Integer, Reservation> GetAllReservations() {
		final String sql = "SELECT * FROM reservations ORDER BY pickup ASC";
		Map<Integer, Reservation> m = new HashMap<Integer, Reservation>();

		try {
			Connection conn = DBConnect.getInstance().getConnection();
			PreparedStatement st = conn.prepareStatement(sql);
			ResultSet rs = st.executeQuery();
			while (rs.next()) {
				m.put(rs.getInt("id"),
						new Reservation(rs.getInt("id"), rs.getInt("pickup"),
								rs.getInt("return"), rs.getString("class")));
			}
			st.close();
			conn.close();
		} catch (SQLException e) {
			e.printStackTrace();
			throw new RuntimeException(e);
		}
		return m;
	}
}
