package sim;

public class Event implements Comparable<Event> {

	public enum EventType {
		CAR_PICKUP, CAR_RETURN
	}
	
	int time;
	EventType type;
	int reservationID;
	
	
	public int getTime() {
		return time;
	}


	public void setTime(int time) {
		this.time = time;
	}


	public EventType getType() {
		return type;
	}


	public void setType(EventType type) {
		this.type = type;
	}


	public int getReservationID() {
		return reservationID;
	}


	public void setReservationID(int reservationID) {
		this.reservationID = reservationID;
	}


	public Event(int time, EventType type, int reservationID) {
		super();
		this.time = time;
		this.type = type;
		this.reservationID = reservationID;
	}


	@Override
	public int compareTo(Event o) {
		return Integer.compare(time, o.time);
	}

}
